SoundCloud media resource could not be decoded on Linux

RESOLVED WORKSFORME

Status

()

RESOLVED WORKSFORME
5 years ago
4 years ago

People

(Reporter: past, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

SoundCloud no longer works on Ubuntu with nightly. For example, try this URL:

https://soundcloud.com/moby/a-case-for-shame

In the web console I get this:

Media resource https://ec-media.soundcloud.com/zmcnXJqXO0D9.128.mp3?ff61182e3c2ecefa438cd02102d0e385713f0c1faf3b033959566afa0806e8121790ded55bac5a8bb53ea5d0616d8027a000e5f0bc59db68378c8b3d454614c3bf1f084e67&AWSAccessKeyId=AKIAJ4IAZE5EOI7PA7VQ&Expires=1390733622&Signature=JY6djx%2FqGzlVc3fJkGB7wWTKKqA%3D could not be decoded. a-case-for-shame
"HTML5_AUDIO_DECODE"

I don't remember changing any configuration recently.

Comment 1

4 years ago
+1 from RHEL-7/x86_64 (with the current Nightly).
https://input.mozilla.org/dashboard/response/4393764
It actually now works for me again on Ubuntu 14.04. I might have installed some additional codecs in the meantime, not sure.
Yes, you need to install a mp3 decoder for the gstreamer framework for soundcloud to work in Firefox on linux. Ubuntu offers gstreamer-fluendo-mp3 and gstreamer-libav as a options for this in universe. Redhat doesn't offer an mp3 decoder for software freedom reasons. Fluendo.com offers licensed builds gratis from the web store if you want to install something manually.

mp3 decoding will finally be patent free in a few years, at which point linux should get more ubiquitous support.
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → WORKSFORME

Comment 4

4 years ago
(In reply to Ralph Giles (:rillian) from comment #3)
> Yes, you need to install a mp3 decoder for the gstreamer framework for
> soundcloud to work in Firefox on linux. Ubuntu offers gstreamer-fluendo-mp3
> and gstreamer-libav as a options for this in universe. Redhat doesn't offer
> an mp3 decoder for software freedom reasons. Fluendo.com offers licensed
> builds gratis from the web store if you want to install something manually.
> 
> mp3 decoding will finally be patent free in a few years, at which point
> linux should get more ubiquitous support.

Right, I forgot about bug 973274 (that Firefox still uses obsolete 0.10), so I haven't installed proper version of gstreamer-plugins-ugly.
You need to log in before you can comment on or make changes to this bug.